Package twisted :: Package mail :: Module pb :: Class Maildir

[show private | hide private]
[frames | no frames]

## Class Maildir

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       Maildir

Method Summary
| `__init__(self, directory, rootDirectory)`
| `deleteCurMessage(self, name)`
| `deleteFolderMessage(self, folder, name)`
| `deleteNewMessage(self, name)`
| `getCurMessage(self, name)`
| `getCurMessages(self)`
| `getFolderMessage(self, folder, name)`
| `getNewMessage(self, name)`
| `getNewMessages(self)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| `getSubFolder(self, name)`
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `remote_deleteCurMessage(self, name)`
| `remote_deleteNewMessage(self, name)`
| `remote_getCurMessage(self, name)`
| `remote_getCurMessages(self)`
| `remote_getNewMessage(self, name)`
| `remote_getNewMessages(self)`
| `remote_getSubFolder(self, name)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)
| `_isSubFolder(self, name)`

Generated by Epydoc 1.1 on Thu May 8 13:18:31 2003 | http://epydoc.sf.net